clang 8.0.0

Classes | Typedefs | Enumerations
clang::consumed Namespace Reference

## Classes
class | ConsumedAnalyzer
| A class that handles the analysis of uniqueness violations. More...
class | ConsumedBlockInfo
class | ConsumedStateMap
class | ConsumedStmtVisitor
class | ConsumedWarningsHandlerBase
class | PropagationInfo

## Typedefs
using | OptionalNotes = SmallVector< PartialDiagnosticAt, 1 >
using | DelayedDiag = std::pair< PartialDiagnosticAt, OptionalNotes >
using | DiagList = std::list< DelayedDiag >

## Enumerations
enum | ConsumedState { CS_None, CS_Unknown, CS_Unconsumed, CS_Consumed }
enum | EffectiveOp { EO_And, EO_Or }

## Typedef Documentation

## ◆ DelayedDiag

using clang::consumed::DelayedDiag = typedef std::pair<PartialDiagnosticAt, OptionalNotes>

Definition at line 54 of file Consumed.h.

## ◆ DiagList

using clang::consumed::DiagList = typedef std::list<DelayedDiag>

Definition at line 55 of file Consumed.h.

## ◆ OptionalNotes

using clang::consumed::OptionalNotes = typedef SmallVector<PartialDiagnosticAt, 1>

Definition at line 53 of file Consumed.h.

## Enumeration Type Documentation

## ◆ ConsumedState

enum clang::consumed::ConsumedState

Enumerator
CS_None |
CS_Unknown |
CS_Unconsumed |
CS_Consumed |

Definition at line 44 of file Consumed.h.

## ◆ EffectiveOp

enum clang::consumed::EffectiveOp

Enumerator
EO_And |
EO_Or |

Definition at line 289 of file Consumed.cpp.